## ros-one-voicevox 2.1.31-19jammy.20251023.0433

=== debian/changelog ===
ros-one-voicevox (2.1.31-19jammy.20251023.0433) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 04:33:45 +0000

ros-one-voicevox (2.1.31-0jammy) jammy; urgency=high

  * add LICENSE files
  * Contributors: Kei Okada

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-voicevox (2.1.30-0jammy) jammy; urgency=high

  * Add voicevox (AI speech synthesis) package (#539 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/539> , #532 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/532> , #538 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/538> )
  * Contributors: Aoi Nakane, Iori Yanokura, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

## ros-one-voicevox 2.1.31-19jammy.20260116.2124

=== debian/changelog ===
ros-one-voicevox (2.1.31-19jammy.20260116.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:24:11 +0000

## ros-one-voicevox 2.1.31-19jammy.20260207.2158

=== debian/changelog ===
ros-one-voicevox (2.1.31-19jammy.20260207.2158) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:58:23 +0000

## ros-one-voicevox 2.1.31-19noble.20251023.0431

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(voicevox)

find_package(catkin REQUIRED COMPONENTS catkin_virtualenv)

catkin_package()

execute_process(COMMAND bash -c "gcc -dumpmachine" OUTPUT_VARIABLE gcc_dump_machine OUTPUT_STRIP_TRAILING_WHITESPACE)
message("-- gcc dumpmachine returns ${gcc_dump_machine}")
if(gcc_dump_machine MATCHES "x86_64-.*")
 set(ARCH x64)
elseif(gcc_dump_machine MATCHES "aarch64-.*")
 set(ARCH arm64)
else()
  message(WARNING "unsupported platform")
  return()
endif()

find_package(Python3 QUIET COMPONENTS Interpreter)
if(NOT Python3_FOUND)
  message(WARNING "voicevox requires python3")
  return()
endif()
message(STATUS "Found Python: ${Python3_EXECUTABLE}")
message(STATUS "Python Version: ${Python3_VERSION}")

if(Python3_VERSION VERSION_LESS "3.12")
  set(REQUIREMENTS_FILE requirements_python3.8.txt)

  set(CORE_VERSION 0.14.6) ## Jan 11, 2024
  set(CORE_HASH_x64   "26719dab23a8e0b4559516d1f2a78833")
  set(CORE_HASH_arm64 "5a94142e04c43624ae44cf926ca42c29")
  set(ENGINE_VERSION 0.14.7)   # latest version before Python 3.11, Oct 5, 2023

else()
  set(REQUIREMENTS_FILE requirements_python3.12.txt)

  set(CORE_VERSION 0.15.7) ## Dec 29, 2024
  set(CORE_HASH_x64   "444dc362d98e065b8581e5a9e403b8fc")
  set(CORE_HASH_arm64 "fd33e2bf200119f70dece4b6ab58b3b0")
  set(ENGINE_VERSION 0.23.0)   # Mar 2, 2025

endif()

catkin_generate_virtualenv(
  INPUT_REQUIREMENTS ${REQUIREMENTS_FILE}
  PYTHON_INTERPRETER python3
  USE_SYSTEM_PACKAGES FALSE
  CHECK_VENV FALSE  # Default TRUE
  )

set(VOICEVOX_TARGET_DIR ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION})
include(ExternalProject)
ExternalProject_Add(voicevox_engine
  GIT_REPOSITORY    https://github.com/VOICEVOX/voicevox_engine
  GIT_TAG           ${ENGINE_VERSION}
  BUILD_IN_SOURCE   TRUE
  CONFIGURE_COMMAND ""
  BUILD_COMMAND
    COMMAND test -e speaker_info && mv speaker_info speaker_info.orig || echo "OK"
    COMMAND test -e resources/character_info && mv resources/character_info resources/character_info.orig || echo "OK"
  INSTALL_COMMAND   ${CMAKE_COMMAND} -E copy_directory ./ ${VOICEVOX_TARGET_DIR}/voicevox_engine
  )
ExternalProject_Add(voicevox_resource
  GIT_REPOSITORY    https://github.com/VOICEVOX/voicevox_resource
  GIT_TAG           main
  GIT_PROGRESS      TRUE
  GIT_SHALLOW       TRUE
  BUILD_IN_SOURCE   TRUE
  CONFIGURE_COMMAND ""
  BUILD_COMMAND     ""
  INSTALL_COMMAND
    COMMAND test -e ${VOICEVOX_TARGET_DIR}/voicevox_engine/speaker_info || python3 ./scripts/clean_character_info.py --output_dir ${VOICEVOX_TARGET_DIR}/voicevox_engine/speaker_info
    COMMAND test -e ${VOICEVOX_TARGET_DIR}/voicevox_engine/resources/character_info || python3 ./scripts/clean_character_info.py --output_dir ${VOICEVOX_TARGET_DIR}/voicevox_engine/resources/character_info
  DEPENDS voicevox_engine
  )
ExternalProject_Add(voicevox_core
  URL               https://github.com/VOICEVOX/voicevox_core/releases/download/${CORE_VERSION}/voicevox_core-linux-${ARCH}-cpu-${CORE_VERSION}.zip
  URL_HASH          MD5=${CORE_HASH_${ARCH}}
  BUILD_IN_SOURCE   TRUE
  CONFIGURE_COMMAND ""
  BUILD_COMMAND     ""
  INSTALL_COMMAND   ${CMAKE_COMMAND} -E copy_directory ./ ${VOICEVOX_TARGET_DIR}/voicevox_core
  )

# deb build environment set CATKIN_BUILD_BINARY_PACKAGE
if("${voicevox_INSTALL_PREFIX}" OR "${CATKIN_BUILD_BINARY_PACKAGE}")
  set(ENGINE_PATH ${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION})
  set(VENV_PATH ${${PROJECT_NAME}_VENV_INSTALL_DIR})
else()
  set(ENGINE_PATH ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION})
  set(VENV_PATH ${${PROJECT_NAME}_VENV_DEVEL_DIR})
endif()
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/bin/run-voicevox.in
  ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/bin/run-voicevox
  @ONLY)


catkin_install_python(
  PROGRAMS node_scripts/request_synthesis.py node_scripts/list_speakers.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/node_scripts/)
install(
  PROGRAMS bin/text2wave ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/bin/run-voicevox
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/bin)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

install(DIRECTORY
  ${VOICEVOX_TARGET_DIR}/voicevox_engine ${VOICEVOX_TARGET_DIR}/voicevox_core
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-one-voicevox (2.1.31-19noble.20251023.0431) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 04:31:15 +0000

ros-one-voicevox (2.1.31-0noble) noble; urgency=high

  * add LICENSE files
  * Contributors: Kei Okada

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-voicevox (2.1.30-0noble) noble; urgency=high

  * Add voicevox (AI speech synthesis) package (#539 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/539> , #532 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/532> , #538 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/538> )
  * Contributors: Aoi Nakane, Iori Yanokura, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

=== debian/control ===
Source: ros-one-voicevox
Section: misc
Priority: optional
Maintainer: Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv, unzip, wget
Homepage: http://ros.org/wiki/voicevox
Standards-Version: 3.9.2

Package: ros-one-voicevox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-one-sound-play
Description: VOICEVOX: AI speech synthesis

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-voicevox//opt/ros/one/lib/ || echo "Skip dh_shlibdeps error!!!"

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
override_dh_strip:
	dh_strip || true

## ros-one-voicevox 2.1.31-19noble.20260116.2120

=== debian/changelog ===
ros-one-voicevox (2.1.31-19noble.20260116.2120) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:20:11 +0000

## ros-one-voicevox 2.1.31-19noble.20260207.2157

=== debian/changelog ===
ros-one-voicevox (2.1.31-19noble.20260207.2157) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:57:55 +0000
